PluginAstReader.BasicGrailsPluginInfo (Grails 6.0.0)

Package: org.grails.compiler.injection

## [Java] Class PluginAstReader.BasicGrailsPluginInfo

- org.grails.compiler.injection.PluginAstReader.BasicGrailsPluginInfo

- All Implemented Interfaces and Traits:
    GrailsPluginInfo

      public class PluginAstReader.BasicGrailsPluginInfo

  Simple Javabean implementation of the GrailsPluginInfo interface.

  Authors:
    Graeme Rocher
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<java.lang.String, java.lang.Object>` | `attributes` |
    `private java.lang.String` | `name` |
    `private java.lang.String` | `version` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BasicGrailsPluginInfo ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Resource` | `getDescriptor()`
    `` | `public java.lang.String` | `getFullName()`
    `` | `public java.lang.String` | `getName()`
    `` | `public Resource` | `getPluginDir()`
    `` | `public java.util.Map` | `getProperties()`
    `` | `public java.lang.Object` | `getProperty(java.lang.String property)`
    `` | `public java.lang.String` | `getVersion()`
    `` | `public void` | `setName(java.lang.String name)`
    `` | `public void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
    `` | `public void` | `setVersion(java.lang.String version)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Map<java.lang.String, java.lang.Object> attributes

    - #### private java.lang.String name

    - #### private java.lang.String version

  - ### Constructor Detail

    - #### public BasicGrailsPluginInfo()

  - ### Method Detail

    - #### public Resource getDescriptor()

    - #### public java.lang.String getFullName()

    - #### public java.lang.String getName()

    - #### public Resource getPluginDir()

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public java.util.Map getProperties()

    - #### public java.lang.Object getProperty(java.lang.String property)

    - #### public java.lang.String getVersion()

    - #### public void setName(java.lang.String name)

    - #### public void setProperty(java.lang.String property, java.lang.Object newValue)

    - #### public void setVersion(java.lang.String version)